DATA_SECTION
  init_number Rmean
  init_number Rsigma
  init_int qtype
  init_number qlb  //note need to change depending on type
  init_number qub  //note need to change depending on type  
  init_number S
  init_number sigma
  init_int Nyears
  init_vector C(1,Nyears)
  init_int Nobs
  init_matrix CPUE(1,Nobs,1,2)
PARAMETER_SECTION
  init_bounded_number R(1,1000) 
  init_bounded_number q(qlb,qub)
  number qtemp
  likeprof_number Rtemp  
  vector N(1,Nyears+1)
  objective_function_value f
PROCEDURE_SECTION
  f=0;
  Rtemp=R;
  N(1)=R/(1-S);
  for(int year=1;year<=Nyears;year++)
  {
	N(year+1)=S*N(year)+R-C(year);
  }
  if (qtype==0) qtemp=q;
  else qtemp=exp(q);
  for(int obs=1;obs<=Nobs;obs++)
  {
	f+= 0.5*square((log(CPUE(obs,2))-log(N(CPUE(obs,1))*qtemp) ) / sigma);	
  }
  f+=0.5*square((R-Rmean) / (Rsigma));

REPORT_SECTION
  report<<N<<endl;

