DATA_SECTION
  init_matrix turbot(1,8,1,3);
  vector day(1,8); 
  vector pos(1,8); 
  vector cat(1,8); 
  !! day=column(turbot,1); pos=column(turbot,2); cat=column(turbot,3);
  int N00;
  !! N00=3529;
  number w;
  !! w=4.5;
PARAMETER_SECTION
  init_number alpha;
  init_number logSigma;
  init_bounded_number q(0,1);
  sdreport_number sigma; 
  objective_function_value nll;

PRELIMINARY_CALCS_SECTION
  logSigma=log(1000);  

PROCEDURE_SECTION
  sigma=exp(logSigma);
  int from=cat.indexmin();
  int to=cat.indexmax();
  dvar_vector Nbar(from,to);    
  for(int i=from; i<=to; ++i){    
    Nbar(i)=cumd_norm((pos(i) + w/2.0 - alpha * day(i))/sigma/sqrt(day(i)))-
            cumd_norm((pos(i) - w/2.0 - alpha * day(i))/sigma/sqrt(day(i)));
  }
  Nbar*=N00;
  dvar_vector Cbar=q*Nbar;
  nll=sum(Cbar-elem_prod(log(Cbar),cat)+gammln(cat+1.0));
