DATA_SECTION
  init_int N
  init_vector density(1,N)
  init_vector yield(1,N)
  vector logYield(1,N)

  // Replace with simulated data   
  !! random_number_generator rng(123456);
  !! logYield.fill_randn(rng);
  !! logYield*= 0.15; // assumed sd 
  !! logYield+= -log(.022+.025*density); 

PARAMETER_SECTION
  init_number logA
  init_number logB
  init_number logSigma
  objective_function_value nll
  sdreport_number a
  sdreport_number b
  sdreport_number sigma
  vector pred(1,N)
  number ss
PROCEDURE_SECTION
  b=exp(logB);
  a=exp(logA)-b*min(density);
  sigma=exp(logSigma);
  ss=square(sigma);
  pred=-log(a+b*density);
  nll=0.5*(N*log(2*M_PI*ss)+
         sum(square(logYield-pred))/ss);
